{
  lib,
  config,
  systemConfig,
  ...
}:

{
  imports = with lib.custom; [
    (relativeToRoot "shared/modules/nix-helper.nix")
    (relativeToRoot "shared/modules/nixos.nix")
    (relativeToRoot "shared/modules/shell.nix")
    (relativeToRoot "shared/modules/security/sops.nix")
    ./boot.nix
    ./development.nix
    ./hardware.nix
    ./networking.nix
    ./security
  ];

  system.stateVersion = systemConfig.version;

  users = {
    mutableUsers = false;
    users.${systemConfig.username} = {
      isNormalUser = true;
      hashedPasswordFile = config.sops.secrets.password.path;
      extraGroups = [ "wheel" ];
    };
  };
}
