{ common, ... }:
let
  utf-8 = "UTF-8";
  en = "en_GB.${utf-8}";
  nb = "nb_NO.${utf-8}";
in
{
  # Configure console keymap
  console.keyMap = "uk";

  # Select internationalisation properties.
  i18n = {
    defaultLocale = en;
    supportedLocales = [
      "${en}/${utf-8}"
      "${nb}/${utf-8}"
    ];
    extraLocaleSettings = {
      LC_ADDRESS = nb;
      LC_IDENTIFICATION = nb;
      LC_MEASUREMENT = nb;
      LC_MONETARY = nb;
      LC_NAME = nb;
      LC_NUMERIC = nb;
      LC_PAPER = nb;
      LC_TELEPHONE = nb;
      LC_TIME = nb;
    };
  };

  # Configure keymaps
  services.xserver.xkb = common.keymaps;

  # Set your time zone.
  time.timeZone = "Europe/Oslo";
}
